mxChildChangeCodec (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io
Class mxChildChangeCodec

    java.lang.Object
      com.mxgraph.io.mxObjectCodec
          com.mxgraph.io.mxChildChangeCodec

    public class mxChildChangeCodec

extends mxObjectCodec

Codec for mxChildChanges. This class is created and registered dynamically at load time and used implicitely via mxCodec and the mxCodecRegistry.

Field Summary

Fields inherited from class com.mxgraph.io.mxObjectCodec
`accessors, exclude, fields, idrefs, mapping, reverse, template`

Constructor Summary
`mxChildChangeCodec()` Constructs a new model codec.
`mxChildChangeCodec(Object template, String[] exclude, String[] idrefs, Map<String,String> mapping)` Constructs a new model codec for the given arguments.

Method Summary
`Object` | `afterDecode(mxCodec dec, Node node, Object obj)` Hook for subclassers to post-process the object after decoding.
`Node` | `afterEncode(mxCodec enc, Object obj, Node node)` Hook for subclassers to post-process the node for the given object after encoding and return the post-processed node.
`Node` | `beforeDecode(mxCodec dec, Node node, Object into)` Reads the cells into the graph model.
`boolean` | `isReference(Object obj, String attr, Object value, boolean isWrite)` Returns true if the given fieldname is to be treated as a textual reference (ID).

Methods inherited from class com.mxgraph.io.mxObjectCodec
`addObjectValue, beforeEncode, cloneTemplate, convertValueFromXml, convertValueToXml, decode, decode, decodeAttribute, decodeAttributes, decodeChild, decodeChildren, decodeNode, encode, encodeElements, encodeFields, encodeObject, encodeValue, getAccessor, getAttributeName, getField, getFieldName, getFieldTemplate, getFieldValue, getFieldValueWithAccessor, getMethod, getName, getTemplate, isExcluded, isPrimitiveValue, processInclude, setFieldValue, setFieldValueWithAccessor, writeAttribute, writeComplexAttribute, writePrimitiveAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxChildChangeCodec

    public mxChildChangeCodec()

  Constructs a new model codec.

### mxChildChangeCodec

    public mxChildChangeCodec(Object template,
                              String[] exclude,
                              String[] idrefs,
                              Map<String,String> mapping)

  Constructs a new model codec for the given arguments.

Method Detail

### isReference

    public boolean isReference(Object obj,
                               String attr,
                               Object value,
                               boolean isWrite)

  Description copied from class: `mxObjectCodec`
  Returns true if the given fieldname is to be treated as a textual reference (ID). This implementation returns true if the given fieldname is in `mxObjectCodec.idrefs`.

  Overrides:
    `isReference` in class `mxObjectCodec`
  Parameters:
    `obj` - Object instance that contains the field.
    `attr` - Fieldname of the field.
    `value` - Value of the field.
    `isWrite` - Boolean indicating if the field is being encoded or decoded. isWrite is true if the field is being encoded, else it is being decoded.
  Returns:
    Returns true if the given attribute should be handled as a reference.

### afterEncode

    public Node afterEncode(mxCodec enc,
                            Object obj,
                            Node node)

  Description copied from class: `mxObjectCodec`
  Hook for subclassers to post-process the node for the given object after encoding and return the post-processed node. This implementation returns the input node. The return value of this method is returned to the encoder from . Parameters:

  Overrides:
    `afterEncode` in class `mxObjectCodec`
  Parameters:
    `enc` - Codec that controls the encoding process.
    `obj` - Object to be encoded.
    `node` - XML node that represents the default encoding.
  Returns:
    Returns the resulting node of the encoding.

### beforeDecode

    public Node beforeDecode(mxCodec dec,
                             Node node,
                             Object into)

  Reads the cells into the graph model. All cells are children of the root element in the node.

  Overrides:
    `beforeDecode` in class `mxObjectCodec`
  Parameters:
    `dec` - Codec that controls the decoding process.
    `node` - XML node to be decoded.
    `into` - Object to encode the node into.
  Returns:
    Returns the node used for the default decoding.

### afterDecode

    public Object afterDecode(mxCodec dec,
                              Node node,
                              Object obj)

  Description copied from class: `mxObjectCodec`
  Hook for subclassers to post-process the object after decoding. This implementation returns the given object without any changes. The return value of this method is returned to the decoder from `mxObjectCodec.decode(mxCodec, Node)`.

  Overrides:
    `afterDecode` in class `mxObjectCodec`
  Parameters:
    `dec` - Codec that controls the decoding process.
    `node` - XML node to be decoded.
    `obj` - Object that represents the default decoding.
  Returns:
    Returns the result of the decoding process.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.